/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Colonia;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderColonia implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Colonia colonia = (Colonia) o;

        Listcell lc = new Listcell();

        lc = new Listcell(colonia.getColoniaId().toString() == null ? "-" : colonia.getColoniaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(colonia.getDesccolonia() == null ? "-" : colonia.getDesccolonia());
        lc.setParent(lstm);

        lc = new Listcell(colonia.getCodpostal() == null ? "-" : colonia.getCodpostal());
        lc.setParent(lstm);

        lc = new Listcell(colonia.getCiudad() == null ? "-" : colonia.getCiudad().getNombciudad());
        lc.setParent(lstm);

        lstm.setAttribute("data", colonia);
    }
}
